Subject: bug#58543: 29.0.50; The 'q' key is not shown by "C-h ?"

From: Philip Kaludercic <[email-masked]>
Date: Sun, 16 Oct 2022 22:39:35 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 16 Oct 2022 13:39:12 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > How about mentioning it in the "C-h" prompt itself?
>> >> 
>> >> Do you mean the "C-h (Type ? for further options)-" prompt?
>> >
>> > Yes.  Make it say
>> >
>> >   C-h (Type ? for further options, q for quick help)-
>> >
>> > or somesuch.
>> 
>> That sounds good.  How about this patch:
>
> LGTM, but please wait for others to comment.  After all, I'm not the
> main audience for this stuff ;-)

Will do.

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> LGTM, but please wait for others to comment.  
>
> Makes sense to me.
>
>> After all, I'm not the main audience for this stuff ;-)
>
> Me neither.

Looks like nobody will be using the feature :')

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> diff --git a/src/keyboard.c b/src/keyboard.c
>> index 8ab4a451b4..8386b599c3 100644
>> --- a/src/keyboard.c
>> +++ b/src/keyboard.c
>> @@ -503,7 +503,7 @@ echo_add_key (Lisp_Object c)
>>    if ((NILP (echo_string) || SCHARS (echo_string) == 0)
>>        && help_char_p (c))
>>      {
>> -      AUTO_STRING (str, " (Type ? for further options)");
>> +      AUTO_STRING (str, " (Type ? for further options, q for quick help)");
>>        AUTO_LIST2 (props, Qface, Qhelp_key_binding);
>>        Fadd_text_properties (make_fixnum (7), make_fixnum (8), props, str);
>
> Also add the text property to the "q" here.  Something like:
>
>     Fadd_text_properties (make_fixnum (30), make_fixnum (31), props,
> str);

You're right, I've added it and it does the right thing:

>From c25e78d8020364e1ecae795ffb79b1612bdc0d0b Mon Sep 17 00:00:00 2001
From: Philip Kaludercic <[email-masked]>
Date: Mon, 17 Oct 2022 00:36:06 +0200
Subject: [PATCH] * src/keyboard.c (echo_add_key): Mention quick-help

---
 src/keyboard.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/keyboard.c b/src/keyboard.c
index 8ab4a451b4..224512bfc9 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -503,9 +503,11 @@ echo_add_key (Lisp_Object c)
   if ((NILP (echo_string) || SCHARS (echo_string) == 0)
       && help_char_p (c))
     {
-      AUTO_STRING (str, " (Type ? for further options)");
+      AUTO_STRING (str, " (Type ? for further options, q for quick help)");
       AUTO_LIST2 (props, Qface, Qhelp_key_binding);
       Fadd_text_properties (make_fixnum (7), make_fixnum (8), props, str);
+      Fadd_text_properties (make_fixnum (30), make_fixnum (31), props,
+str);
       new_string = concat2 (new_string, str);
     }
 
-- 
2.37.3